"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapSpeedOptionToAudioFilter = void 0;
const format_float_1 = require("./format-float");
function mapSpeedOptionToAudioFilter(speed) {
    const split = splitSpeed(speed);
    return split
        .map(function (value) {
        return `atempo=${format_float_1.formatFloat(value)}`;
    })
        .join(',');
}
exports.mapSpeedOptionToAudioFilter = mapSpeedOptionToAudioFilter;
function splitSpeed(speed) {
    const result = [];
    if (speed > 2) {
        while (speed > 2) {
            speed = speed / 2;
            result.push(2);
        }
        result.push(speed);
        return result;
    }
    while (speed < 0.5) {
        speed = speed / 0.5;
        result.push(0.5);
    }
    result.push(speed);
    return result;
}
