"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.executeShellCommands = void 0;
const childProcess = require("child_process");
const kleur = require("kleur");
const pAll = require("p-all");
const escape_file_path_1 = require("./escape-file-path");
async function executeShellCommands(shellCommands, parallel, debug) {
    if (debug === true) {
        for (const { shellCommand } of shellCommands) {
            console.log(kleur.gray(shellCommand));
        }
    }
    const callbacks = shellCommands.map(function ({ inputFile, outputFile, shellCommand }) {
        return function () {
            return new Promise(function (resolve, reject) {
                childProcess.exec(shellCommand, function (error) {
                    if (error) {
                        reject(error);
                        return;
                    }
                    console.log(`${kleur.green('✔')} ${escape_file_path_1.escapeFilePath(inputFile)} ${kleur.gray('›')} ${escape_file_path_1.escapeFilePath(outputFile)}`);
                    resolve(null);
                });
            });
        };
    });
    await pAll(callbacks, { concurrency: parallel });
}
exports.executeShellCommands = executeShellCommands;
